Skip to main content
GET
Get workflow

Authorizations

Authorization
string
header
required

Organization API key using Authorization: Bearer sk_....

Path Parameters

id
string
required

Identifier of the workflow.

Response

Workflow details

An automation that runs collection and reminder steps for invoices.

id
string
required

Unique identifier of the workflow.

Example:

"wf_1234567890abcdefghij"

createdAt
string<date-time>
required

When the workflow was created.

updatedAt
string<date-time>
required

When the workflow was last updated. Send it back as expectedUpdatedAt.

organizationId
string
required

Organization that owns the workflow.

key
string
required

Stable workflow key.

name
string
required

Name of the workflow.

Example:

"Cobranza estándar"

description
string | null
required

Optional description of the workflow.

status
enum<string>
required

Whether the workflow runs on new events.

Available options:
DRAFT,
ACTIVE,
PAUSED
publishedVersionId
string | null
required

Currently published version. Send it back as expectedPublishedVersionId.

deletedAt
string<date-time> | null
required

When the workflow was deleted, if applicable.